local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanores ={
                ["id"] = {2770, 2840, 2771, 3576, 2841, 2775, 2842, 2772, 3575, 2776, 3577, 3859, 3858, 3860, 7911, 6037, 10620, 12359, 12655, 11370, 11371},
                ["itype"] = {1, 2, 1, 2, 2, 1, 2, 1, 2, 1, 2, 2, 1, 2, 1, 2, 1, 2, 2, 1, 2},
                ["strings"] = {L["Copper"], L["Copper"], L["Tin"], L["Tin"], L["Bronze"], L["Silver"], L["Silver"], L["Iron"], L["Iron"], L["Gold"], L["Gold"], L["Steel"], L["Mithril"], L["Mithril"], L["Truesilver"], L["Truesilver"],  L["Thorium"], L["Thorium"], L["Enchanted Thorium"], L["Dark Iron"], L["Dark Iron"]},
                ["short"] = {L["S_Copper"], L["S_Copper"], L["S_Tin"], L["S_Tin"], L["S_Bronze"], L["S_Silver"], L["S_Silver"], L["S_Iron"], L["S_Iron"], L["S_Gold"], L["S_Gold"], L["S_Steel"], L["S_Mithril"], L["S_Mithril"], L["S_Truesilver"], L["S_Truesilver"], L["S_Thorium"], L["S_Thorium"], L["S_Enchanted Thorium"], L["S_Dark Iron"], L["S_Dark Iron"]},
                ["color"] = {"b87333", "b87333", "d3d4d5", "d3d4d5", "ffbb6e", "bfbfbf", "bfbfbf", "af9894", "af9894", "fbc72d", "fbc72d", "adb9b5", "39bcd1", "39bcd1", "e2e5e4", "e2e5e4", "5aa2d2", "5aa2d2", "388ad1", "8a6c67", "8a6c67"}
                }
local bcores ={
                ["id"] = {23424, 23445, 23448, 23425, 23446, 23573, 23426, 23449, 35128, 23427, 23447},
                ["itype"] = {1, 2, 2, 1, 2, 2, 1, 2, 2, 1, 2},
                ["strings"] = {L["Fel Iron"], L["Fel Iron"], L["Felsteel"], L["Adamanite"], L["Adamanite"], L["Hardened Adamanite"], L["Khorium"], L["Khorium"], L["Hardened Khorium"], L["Eternium"], L["Eternium"]},
                ["short"] = {L["S_Fel Iron"], L["S_Fel Iron"], L["S_Felsteel"], L["S_Adamanite"], L["S_Adamanite"], L["S_Hardened Adamanite"], L["S_Khorium"], L["S_Khorium"], L["S_Hardened Khorium"], L["S_Eternium"], L["S_Eternium"]},
                ["color"] = {"80d82b", "80d82b", "58b003", "fcfcfc", "fcfcfc", "e8e8e8", "b96b1e", "b96b1e", "af6114", "c45aec", "c45aec"}
                }
local lkores ={
                ["id"] = {36909, 36916, 36912, 36913, 36910, 41163, 37663},
                ["itype"] = {1, 2, 1, 2, 1, 2, 2},
                ["strings"] = {L["Cobalt"], L["Cobalt"], L["Saronite"], L["Saronite"], L["Titanium"], L["Titanium"], L["Titansteel"]},
                ["short"] = {L["S_Cobalt"], L["S_Cobalt"], L["S_Saronite"], L["S_Saronite"], L["S_Titanium"], L["S_Titanium"], L["S_Titansteel"]},
                ["color"] = {"007a9f", "007a9f", "008080", "008080", "b6b6b4", "b6b6b4", "acacaa"}
                }
local cataores ={
                ["id"] = {53038, 54849, 52185, 52186, 53039, 52183, 51950, 58480},
                ["itype"] = {1, 2, 1, 2, 2, 1, 2, 2},
                ["strings"] = {L["Obsidium"], L["Obsidium"], L["Elementium"], L["Elementium"], L["Hardened Elementium"], L["Pyrite"], L["Pyrium"], L["Truegold"]},
                ["short"] = {L["S_Obsidium"], L["S_Obsidium"], L["S_Elementium"], L["S_Elementium"], L["S_Hardened Elementium"], L["S_Pyrite"], L["S_Pyrium"], L["S_Truegold"]},
                ["color"] = {"835c3b", "835c3b", "dfd0d6", "dfd0d6", "cbbcc2", "ff81d5", "ff81d5", "fdd017"}
                }
local mopores ={
                ["id"] = {97546, 72093, 97512, 72092, 72096, 72094, 72103, 72095, 98717, 72104},
                ["itype"] = {4, 1, 3, 1, 2, 1, 1, 2, 4, 4},
                ["strings"] = {L["Kyparite Fragment"], L["Kyparite"], L["Ghost Iron"], L["Ghost Iron"], L["Ghost Iron"], L["Black Trillium"], L["White Trillium"], L["Trillium"], L["Balanced Trillium Ingot"], L["Living Steel"]},
                ["short"] = {L["S_Kyparite Fragment"], L["S_Kyparite"], L["S_Ghost Iron"], L["S_Ghost Iron"], L["S_Ghost Iron"], L["S_Black Trillium"], L["S_White Trillium"], L["S_Trillium"], L["Balanced Trillium Ingot"], L["S_Living Steel"]},
                ["color"] = {"835c3b", "835c3b", "dfd0d6", "dfd0d6", "cbbcc2", "ff81d5", "ff81d5", "ccffff", "33ccff", "66ff99"}
                }
private.vanores = vanores
private.bcores = bcores
private.lkores = lkores
private.cataores = cataores
private.mopores = mopores